Skip to main content
POST
/
api
/
v1
/
action
/
{id}
/
run
Run action
curl --request POST \
  --url https://api.example.com/api/v1/action/{id}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "severityLevel": "INFO",
  "message": "This is a info message of the wallet action",
  "gasPrice": "market",
  "gasLimit": 10000000,
  "gasTip": "\"\"",
  "params": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ]
}
'
[
  {
    "key": "<string>",
    "value": "<unknown>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
severityLevel
enum<string>
required

Severity level of the wallet action

Available options:
INFO,
LOW,
MEDIUM,
HIGH,
CRITICAL
message
string

Detailed message of the wallet action

Example:

"This is a info message of the wallet action"

gasPrice
string

Gas price for action execution. Possible values are 100%/1.0 gwei/1000000/'market'. Default: market

Pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%|market)$
Example:

"market"

gasLimit
integer<int32>

Gas limit for action execution. Default: 10000000

Example:

10000000

gasTip
string

Gas tip for action execution. Possible values are 100%/1.0 gwei/1000000. Default: ""

Pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%)$|^$
Example:

"\"\""

params
object[]

Input parameters of the function from the contract abi associated with the extractor action

Response

200 - application/json

OK

key
string
value
any